# Usb Namespace Reference

## Detailed Description

Namespace for the libusb-related wrapper classes.

This namespace may change in the future.

## Classes

class | Error
| Thrown on low level USB errors. More...
class | Timeout
class | Match
class | Device
class | Interface
struct | EndpointPair
class | EndpointDiscovery
struct | InterfaceDesc
class | InterfaceDiscovery
struct | ConfigDesc
class | ConfigDiscovery
class | DeviceDiscovery

## Typedefs

typedef struct usb_device * | DeviceIDType
| Typedefs used by the wrapper class, in the hope to make it easier to switch from libusb stable to devel and back.

## Typedef Documentation

typedef struct usb_device* Usb::DeviceIDType

Typedefs used by the wrapper class, in the hope to make it easier to switch from libusb stable to devel and back.

Definition at line 74 of file usbwrap.h.